{
    attributes = (
        {
            columnName = "AMOO_ANNUITE"; 
            externalType = NUMBER; 
            name = amooAnnuite; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "AMOO_CUMUL"; 
            externalType = NUMBER; 
            name = amooCumul; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "AMOO_MONTANT"; 
            externalType = NUMBER; 
            name = amooMontant; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "AMOO_RESIDUEL"; 
            externalType = NUMBER; 
            name = amooResiduel; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "D_CALCUL"; 
            externalType = DATE; 
            name = dCalcul; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "EXE_ORDRE"; 
            externalType = NUMBER; 
            name = exeOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "ICOR_ID"; 
            externalType = NUMBER; 
            name = icorId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "ID_AMORTISSEMENT_ORIGINE"; 
            externalType = NUMBER; 
            name = idAmortissementOrigine; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (exeOrdre, icorId, idAmortissementOrigine); 
    className = "org.cocktail.corossol.serveur.eof.metier.EOAmortissementOrigine"; 
    classProperties = (
        amooAnnuite, 
        amooCumul, 
        amooMontant, 
        amooResiduel, 
        dCalcul, 
        exercice, 
        toInventaireComptableOrig
    ); 
    externalName = "JEFY_INVENTAIRE.AMORTISSEMENT_ORIGINE"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (
            amooAnnuite, 
            amooCumul, 
            amooMontant, 
            amooResiduel, 
            dCalcul, 
            exercice, 
            toInventaireComptableOrig
        ); 
        "_javaClientClassName" = "org.cocktail.corossol.client.eof.metier.EOAmortissementOrigine"; 
    }; 
    name = AmortissementOrigine; 
    primaryKeyAttributes = (idAmortissementOrigine); 
    relationships = (
        {
            destination = "ca_Exercice"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = exeOrdre; sourceAttribute = exeOrdre; }); 
            name = exercice; 
        }, 
        {
            destination = InventaireComptableOrig; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = icorId; sourceAttribute = icorId; }); 
            name = toInventaireComptableOrig; 
        }
    ); 
}
